Skip to main content

Link related products

Add related products to a product using a fixed relation type.

Path Parameters
productId string — REQUIRED

The id of the main product to which the relations will be created.

relationTypeId int32 — REQUIRED

The relation type id that will apply to all related products in relatedProducts.

Query Parameters
productIdType int32

Possible values: [0, 1, 2, 3]

The type of product id supplied in productId and relatedProducts.
0 = Internal. Internal product id set by Geins.
Eg: 10001.
1 = ArticleNumber. Article number set by customer.
Eg: ABC123.
2 = MarketPrefixedInternal. Internal product id set by Geins, prefixed with market.
Eg: SE10001.
3 = MarketPrefixedArticleNumber. Article number set by customer, prefixed with market.
Eg: SEABC123.

Request Body — REQUIRED

The list of related products to link with the main product.

object[]
RelatedProductId string

The unique identifier for the related product.

RelationTypeId int32

The product relation type id.

Responses
200

The result of the update.

Schema — OPTIONAL
Message string — OPTIONAL

Information about the outcome of the request.

Invalid object[] — OPTIONAL

Supplied relatedProducts that failed validation.

RelatedProductId string — OPTIONAL

The unique identifier for the related product.

RelationTypeId int32 — OPTIONAL

The product relation type id.

NotFound object[] — OPTIONAL

Supplied relatedProducts that were technically valid, but couldn't be found.

RelatedProductId string — OPTIONAL

The unique identifier for the related product.

RelationTypeId int32 — OPTIONAL

The product relation type id.

UpdateCount int32 — OPTIONAL

Number of related product updates resulting from the request.

400

Bad request.

Schema — OPTIONAL
Message string — OPTIONAL

Information about the outcome of the request.

Invalid object[] — OPTIONAL

Supplied relatedProducts that failed validation.

RelatedProductId string — OPTIONAL

The unique identifier for the related product.

RelationTypeId int32 — OPTIONAL

The product relation type id.

NotFound object[] — OPTIONAL

Supplied relatedProducts that were technically valid, but couldn't be found.

RelatedProductId string — OPTIONAL

The unique identifier for the related product.

RelationTypeId int32 — OPTIONAL

The product relation type id.

UpdateCount int32 — OPTIONAL

Number of related product updates resulting from the request.